<?php
	
	$restaurant_eatery_tp_theme_css = '';

	// 1st color
	$restaurant_eatery_tp_color_option_first = get_theme_mod('restaurant_eatery_tp_color_option_first', '#DB2C2C');
	if ($restaurant_eatery_tp_color_option_first) {
		$restaurant_eatery_tp_theme_css .= ':root {';
		$restaurant_eatery_tp_theme_css .= '--color-primary1: ' . esc_attr($restaurant_eatery_tp_color_option_first) . ';';
		$restaurant_eatery_tp_theme_css .= '}';
	}
	// 2nd color
	$restaurant_eatery_tp_color_option_sec = get_theme_mod('restaurant_eatery_tp_color_option_sec', '#FFE422');
	if ($restaurant_eatery_tp_color_option_sec) {
		$restaurant_eatery_tp_theme_css .= ':root {';
		$restaurant_eatery_tp_theme_css .= '--color-primary3: ' . esc_attr($restaurant_eatery_tp_color_option_sec) . ';';
		$restaurant_eatery_tp_theme_css .= '}';
	}
	
	// preloader
	$restaurant_eatery_tp_preloader_color1_option = get_theme_mod('restaurant_eatery_tp_preloader_color1_option');
	if($restaurant_eatery_tp_preloader_color1_option != false){
	$restaurant_eatery_tp_theme_css .='.center1{';
		$restaurant_eatery_tp_theme_css .='border-color: '.esc_attr($restaurant_eatery_tp_preloader_color1_option).' !important;';
	$restaurant_eatery_tp_theme_css .='}';
	}
	if($restaurant_eatery_tp_preloader_color1_option != false){
	$restaurant_eatery_tp_theme_css .='.center1 .ring::before{';
		$restaurant_eatery_tp_theme_css .='background: '.esc_attr($restaurant_eatery_tp_preloader_color1_option).' !important;';
	$restaurant_eatery_tp_theme_css .='}';
	}

	$restaurant_eatery_tp_preloader_color2_option = get_theme_mod('restaurant_eatery_tp_preloader_color2_option');

	if($restaurant_eatery_tp_preloader_color2_option != false){
	$restaurant_eatery_tp_theme_css .='.center2{';
		$restaurant_eatery_tp_theme_css .='border-color: '.esc_attr($restaurant_eatery_tp_preloader_color2_option).' !important;';
	$restaurant_eatery_tp_theme_css .='}';
	}
	if($restaurant_eatery_tp_preloader_color2_option != false){
	$restaurant_eatery_tp_theme_css .='.center2 .ring::before{';
		$restaurant_eatery_tp_theme_css .='background: '.esc_attr($restaurant_eatery_tp_preloader_color2_option).' !important;';
	$restaurant_eatery_tp_theme_css .='}';
	}

	$restaurant_eatery_tp_preloader_bg_color_option = get_theme_mod('restaurant_eatery_tp_preloader_bg_color_option');

	if($restaurant_eatery_tp_preloader_bg_color_option != false){
	$restaurant_eatery_tp_theme_css .='.loader{';
		$restaurant_eatery_tp_theme_css .='background: '.esc_attr($restaurant_eatery_tp_preloader_bg_color_option).';';
	$restaurant_eatery_tp_theme_css .='}';
	}

	$restaurant_eatery_tp_footer_bg_color_option = get_theme_mod('restaurant_eatery_tp_footer_bg_color_option');


	if($restaurant_eatery_tp_footer_bg_color_option != false){
	$restaurant_eatery_tp_theme_css .='#footer{';
		$restaurant_eatery_tp_theme_css .='background: '.esc_attr($restaurant_eatery_tp_footer_bg_color_option).';';
	$restaurant_eatery_tp_theme_css .='}';
	}

	// logo tagline color
	$restaurant_eatery_site_tagline_color = get_theme_mod('restaurant_eatery_site_tagline_color');

	if($restaurant_eatery_site_tagline_color != false){
	$restaurant_eatery_tp_theme_css .='.logo h1 a, .logo p a, .logo p.site-title a{';
	$restaurant_eatery_tp_theme_css .='color: '.esc_attr($restaurant_eatery_site_tagline_color).';';
	$restaurant_eatery_tp_theme_css .='}';
	}

	$restaurant_eatery_logo_tagline_color = get_theme_mod('restaurant_eatery_logo_tagline_color');
	if($restaurant_eatery_logo_tagline_color != false){
	$restaurant_eatery_tp_theme_css .='p.site-description{';
	$restaurant_eatery_tp_theme_css .='color: '.esc_attr($restaurant_eatery_logo_tagline_color).';';
	$restaurant_eatery_tp_theme_css .='}';
	}

	// footer widget title color
	$restaurant_eatery_footer_widget_title_color = get_theme_mod('restaurant_eatery_footer_widget_title_color');
	if($restaurant_eatery_footer_widget_title_color != false){
	$restaurant_eatery_tp_theme_css .='#footer h3, #footer h2.wp-block-heading{';
	$restaurant_eatery_tp_theme_css .='color: '.esc_attr($restaurant_eatery_footer_widget_title_color).';';
	$restaurant_eatery_tp_theme_css .='}';
	}

	// copyright text color
	$restaurant_eatery_footer_copyright_text_color = get_theme_mod('restaurant_eatery_footer_copyright_text_color');
	if($restaurant_eatery_footer_copyright_text_color != false){
	$restaurant_eatery_tp_theme_css .='#footer .site-info p, #footer .site-info a {';
	$restaurant_eatery_tp_theme_css .='color: '.esc_attr($restaurant_eatery_footer_copyright_text_color).'!important;';
	$restaurant_eatery_tp_theme_css .='}';
	}

	// header image title color
	$restaurant_eatery_header_image_title_text_color = get_theme_mod('restaurant_eatery_header_image_title_text_color');
	if($restaurant_eatery_header_image_title_text_color != false){
	$restaurant_eatery_tp_theme_css .='.box-text h2{';
	$restaurant_eatery_tp_theme_css .='color: '.esc_attr($restaurant_eatery_header_image_title_text_color).';';
	$restaurant_eatery_tp_theme_css .='}';
	}

	// menu color
	$restaurant_eatery_menu_color = get_theme_mod('restaurant_eatery_menu_color');
	if($restaurant_eatery_menu_color != false){
	$restaurant_eatery_tp_theme_css .='.main-navigation a{';
	$restaurant_eatery_tp_theme_css .='color: '.esc_attr($restaurant_eatery_menu_color).';';
	$restaurant_eatery_tp_theme_css .='}';
}